<?php
/**
 * 
 * Add menu support and default menus
 */

add_theme_support( 'menus' );

function sonax_register_menus() {
  register_nav_menus(
    array(
      'header_menu' => __( 'Header Menu' ),
      'footer_menu_1' => __( 'Footer Menu 1' ),
      'footer_menu_2' => __( 'Footer Menu 2' ),
      'footer_menu_3' => __( 'Footer Menu 3' ),
      'footer_menu_4' => __( 'Footer Menu 4' )
    )
  );
}

add_action( 'init', 'sonax_register_menus' );

$menuname = 'Header Menu';
$menulocation = 'header_menu';
// Does the menu exist already?
$menu_exists = wp_get_nav_menu_object( $menuname );

// If it doesn't exist, let's create it.
if( !$menu_exists){
  $menu_id = wp_create_nav_menu($menuname);

  // Set up default BuddyPress links and add them to the menu.
  wp_update_nav_menu_item($menu_id, 0, array(
    'menu-item-title' =>  __('Home'),
    'menu-item-classes' => '',
    'menu-item-url' => home_url( '/' ), 
    'menu-item-status' => 'publish')
  );

  // Grab the theme locations and assign our newly-created menu
  // to the BuddyPress menu location.
  if( !has_nav_menu( $menulocation ) ){
      $locations = get_theme_mod('nav_menu_locations');
      $locations[$menulocation] = $menu_id;
      set_theme_mod( 'nav_menu_locations', $locations );
  }
}

$menuname = 'Footer Menu';
$menulocation = 'footer_menu_1';
// Does the menu exist already?
$menu_exists = wp_get_nav_menu_object( $menuname );

// If it doesn't exist, let's create it.
if( !$menu_exists){
  $menu_id = wp_create_nav_menu($menuname);

  // Set up default BuddyPress links and add them to the menu.
  wp_update_nav_menu_item($menu_id, 0, array(
    'menu-item-title' =>  __('Home'),
    'menu-item-classes' => '',
    'menu-item-url' => home_url( '/' ), 
    'menu-item-status' => 'publish')
  );

  // Grab the theme locations and assign our newly-created menu
  // to the BuddyPress menu location.
  if( !has_nav_menu( $menulocation ) ){
      $locations = get_theme_mod('nav_menu_locations');
      $locations[$menulocation] = $menu_id;
      set_theme_mod( 'nav_menu_locations', $locations );
  }
}

$menuname = 'Footer Menu 2';
$menulocation = 'footer_menu_2';
// Does the menu exist already?
$menu_exists = wp_get_nav_menu_object( $menuname );

// If it doesn't exist, let's create it.
if( !$menu_exists){
  $menu_id = wp_create_nav_menu($menuname);

  // Set up default BuddyPress links and add them to the menu.
  wp_update_nav_menu_item($menu_id, 0, array(
    'menu-item-title' =>  __('Home'),
    'menu-item-classes' => '',
    'menu-item-url' => home_url( '/' ), 
    'menu-item-status' => 'publish')
  );

  // Grab the theme locations and assign our newly-created menu
  // to the BuddyPress menu location.
  if( !has_nav_menu( $menulocation ) ){
      $locations = get_theme_mod('nav_menu_locations');
      $locations[$menulocation] = $menu_id;
      set_theme_mod( 'nav_menu_locations', $locations );
  }
}

$menuname = 'Footer Menu 3';
$menulocation = 'footer_menu_3';
// Does the menu exist already?
$menu_exists = wp_get_nav_menu_object( $menuname );

// If it doesn't exist, let's create it.
if( !$menu_exists){
  $menu_id = wp_create_nav_menu($menuname);

  // Set up default BuddyPress links and add them to the menu.
  wp_update_nav_menu_item($menu_id, 0, array(
    'menu-item-title' =>  __('Home'),
    'menu-item-classes' => '',
    'menu-item-url' => home_url( '/' ), 
    'menu-item-status' => 'publish')
  );

  // Grab the theme locations and assign our newly-created menu
  // to the BuddyPress menu location.
  if( !has_nav_menu( $menulocation ) ){
      $locations = get_theme_mod('nav_menu_locations');
      $locations[$menulocation] = $menu_id;
      set_theme_mod( 'nav_menu_locations', $locations );
  }
}

$menuname = 'Footer Menu 4';
$menulocation = 'footer_menu_4';
// Does the menu exist already?
$menu_exists = wp_get_nav_menu_object( $menuname );

// If it doesn't exist, let's create it.
if( !$menu_exists){
  $menu_id = wp_create_nav_menu($menuname);

  // Set up default BuddyPress links and add them to the menu.
  wp_update_nav_menu_item($menu_id, 0, array(
    'menu-item-title' =>  __('Home'),
    'menu-item-classes' => '',
    'menu-item-url' => home_url( '/' ), 
    'menu-item-status' => 'publish')
  );

  // Grab the theme locations and assign our newly-created menu
  // to the BuddyPress menu location.
  if( !has_nav_menu( $menulocation ) ){
      $locations = get_theme_mod('nav_menu_locations');
      $locations[$menulocation] = $menu_id;
      set_theme_mod( 'nav_menu_locations', $locations );
  }
}