<?php get_header(); ?>

<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
  
  <?php
    $blocks = parse_blocks(get_the_content());
    if (!has_blocks(get_the_content()) or $blocks[0]['blockName'] !== "snx/block-stage"):  
  ?>
    <div class="snx-page-header snx-page-header--in-grid">
      <div class="snx-page-header__wrapper">
        <h1 class="snx-page-header__headline"><?php echo get_the_title(); ?></h1>
      </div>
    </div>
  <? elseif ($blocks[0]['blockName'] == "snx/block-stage") : ?>
    <?php echo render_block($blocks[0]); ?>
  <? endif; ?>
  <div class="snx-util-rhythm-xl">
    <?php if (has_blocks(get_the_content())) {
      foreach( $blocks as $block ) {
        if( $block['blockName'] == "snx/block-stage" ) {
          continue;
        } else {
          echo render_block( $block );
        }
      }
    } else {
      the_content();
    } ?>
  </div>
<?php endwhile; endif; ?>

<?php get_footer(); ?>