<?php

function sonax_child_load_theme_textdomain() {
    load_child_theme_textdomain( 'sonax', get_stylesheet_directory() . '/languages' );
}
add_action( 'after_setup_theme', 'sonax_child_load_theme_textdomain' );

function sonax_child_enqueue_styles() {
    wp_enqueue_style( 'parent-style', get_template_directory_uri() . '/style.css' );
}
add_action( 'wp_enqueue_scripts', 'sonax_child_enqueue_styles' );

require __DIR__  . '/../sonax-theme/inc/vendor/plugin-update-checker-4.10/plugin-update-checker.php';
$snx_update_checker = Puc_v4_Factory::buildUpdateChecker(
	'http://sonax-wp-theme.katana-design.systems/autoupdate/sonax-child-theme.json',
	__FILE__, //Full path to the main plugin file or functions.php.
	'sonax-child-theme'
);
