<?php get_header(); ?>
  <div class="snx-util-rhythm-md">
    <section class="snx-page-section">
      <div class="snx-page-section__body">
        <div class="snx-util-block">
          <div class="snx-row">
            <div class="snx-col-xs-12 snx-col-lg-5">
              <div class="snx-display-flex snx-justify-center" style="height:100%; flex-direction:column; margin: 0;">
                <h2><?php echo __('Oops!!', 'sonax'); ?></h2>
                <p class="snx-font-body-01"><?php echo __('This isn´t the page you were looking for.', 'sonax'); ?></p>
                <p class="snx-font-body-01"><?php echo __('The page is probably being cleaned right now. You may find helpful information on our homepage.', 'sonax'); ?></p>
                <a href="<?php echo get_home_url(); ?>" style="margin-right: auto" class="snx-btn snx-btn--primary">
                  <svg class="snx-icon" viewBox="0 0 32 32">
                    <use xlink:href="<?php echo get_template_directory_uri(); ?>/assets/sprite.svg#snx_chevron_right"></use>
                  </svg>
                  <span><?php echo __('Homepage', 'sonax'); ?></span>
                </a>
              </div>
            </div>
            <div class="snx-col-xs-12 snx-col-lg-7">
              <img class="snx-spacer--mt-30" src="<?php echo get_template_directory_uri(); ?>/assets/error.png" height="auto" width="100%">
            </div>
          </div>
        </div>
      </div>
    </section>
  </div>
<?php get_footer(); ?>
