document.addEventListener('DOMContentLoaded', function () {
  try {
    const resellerCategoryCheckboxes = Array.from(
      document.querySelectorAll('label > input[name="post_category[]"]')
    ).filter((checkbox) =>
      checkbox.parentElement.textContent.includes('Reseller')
    )

    if (resellerCategoryCheckboxes) {
      resellerCategoryCheckboxes[0].checked = true
    }
  } catch (error) {
    console.warn('Error in locations.js: ', error)
  }
})
