<?php
/**
 * Adds a script to track active sonax wordpress theme installations
 *
 */

add_action( 'admin_enqueue_scripts', 'sonax_enqueue_wp_tracker_js' );

function sonax_enqueue_wp_tracker_js () {

  $theme = wp_get_theme();
  $version = $theme->get('Version');

  wp_enqueue_script( 'sonax-wp-tracker', get_template_directory_uri() . '/inc/js/wp-tracker.js', array(), $version, true );
}
